import { AdaptableApi } from '../../Api/AdaptableApi';
import { IAdaptableService } from './Interface/IAdaptableService';
export declare class RowEditService implements IAdaptableService {
    private adaptableApi;
    constructor(adaptableApi: AdaptableApi);
    private autoHandleActionRowButtons;
    destroy(): void;
}
